## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check

%global crate rbspy

Name:           rust-rbspy
Version:        0.12.1
Release:        %autorelease
Summary:        Sampling CPU profiler for Ruby

License:        MIT
URL:            https://crates.io/crates/rbspy
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Automatically generated patch to strip foreign dependencies
Patch:          rbspy-fix-metadata-auto.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21
%if %{with check}
BuildRequires:  ruby
BuildRequires:  rubygems
%endif

%global _description %{expand:
Sampling CPU profiler for Ruby.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# CDDL-1.0
# MIT
# MIT or ASL 2.0
# MIT or zlib or ASL 2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        MIT and ASL 2.0 and CDDL-1.0
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license License.md
%license LICENSE.dependencies
%doc ARCHITECTURE.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTORS.md
%doc NEW_RUBY_VERSION_CHECKLIST.md
%doc README.md
%doc RELEASE_CHECKLIST.md
%{_bindir}/rbspy

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/License.md
%doc %{crate_instdir}/ARCHITECTURE.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTORS.md
%doc %{crate_instdir}/NEW_RUBY_VERSION_CHECKLIST.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASE_CHECKLIST.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * tests cannot be run in parallel
# * skip tests that load a Ruby script which is not included in published crates
# * skip a test that appears to be flaky
%ifarch s390x
# * skip tests that don't work on BE architectures due to hardcoded hex literals
%cargo_test -- -- --test-threads 1 --skip core::initialize::tests::test_get_exec_trace --skip core::initialize::tests::test_get_trace --skip sampler::tests::test_sample_single_process --skip sampler::tests::test_sample_subprocesses --skip test_current_thread_address --skip test_get_ruby_stack_trace
%else
%cargo_test -- -- --test-threads 1 --skip core::initialize::tests::test_get_exec_trace --skip core::initialize::tests::test_get_trace --skip sampler::tests::test_sample_single_process --skip sampler::tests::test_sample_subprocesses --skip test_current_thread_address
%endif
%endif

%changelog
* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 0.12.1-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 29 2022 Fabio Valentini <decathorpe@gmail.com> 0.12.1-1
- Update to version 0.12.1; Fixes RHBZ#2058869

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.8.1-3
- Build for EPEL8 and fix tests

* Thu Nov 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.8.1-2
- Gate out tests on s390x for now

* Thu Nov 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.8.1-1
- Initial import; Fixes: RHBZ#2023856
